import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { IgxNavigationService, IToggleView } from '../../core/navigation';
import { IgxOverlayService } from '../../services/overlay/overlay';
import { OverlaySettings } from '../../services';
export declare class IgxToggleDirective implements IToggleView, OnInit, OnDestroy {
    private elementRef;
    private cdr;
    private overlayService;
    private navigationService;
    private _overlayId;
    private _overlaySubFilter;
    private _overlayClosedSub;
    private _overlayClosingSub;
    onOpened: EventEmitter<{}>;
    onOpening: EventEmitter<{}>;
    onClosed: EventEmitter<{}>;
    onClosing: EventEmitter<{}>;
    private _collapsed;
    readonly collapsed: boolean;
    id: string;
    readonly element: any;
    readonly hiddenClass: boolean;
    readonly defaultClass: boolean;
    constructor(elementRef: ElementRef, cdr: ChangeDetectorRef, overlayService: IgxOverlayService, navigationService: IgxNavigationService);
    open(overlaySettings?: OverlaySettings): void;
    close(): void;
    toggle(overlaySettings?: OverlaySettings): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private overlayClosed;
    private overlayClosing;
}
export declare class IgxToggleActionDirective implements OnInit {
    private element;
    private navigationService;
    private _overlayDefaults;
    overlaySettings: OverlaySettings;
    private _closeOnOutsideClick;
    closeOnOutsideClick: boolean;
    target: any;
    private _target;
    constructor(element: ElementRef, navigationService: IgxNavigationService);
    ngOnInit(): void;
    onClick(): void;
}
export declare class IgxToggleModule {
}
